<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_top_bg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_20"
                android:src="@mipmap/ic_feedback_top_bg"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_36"
                android:layout_marginTop="88dp"
                android:text="意见反馈"
                android:textColor="#000511"
                android:textSize="@dimen/sp_30"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.lihang.ShadowLayout
                android:id="@+id/layout_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_9"
                android:layout_marginTop="@dimen/dp_15"
                android:layout_marginEnd="@dimen/dp_9"
                app:hl_cornerRadius="@dimen/dp_12"
                app:hl_shadowColor="@color/color_shadow"
                app:hl_shadowLimit="@dimen/dp_7"
                app:layout_constraintTop_toBottomOf="@id/tv_title">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingStart="@dimen/dp_12"
                    android:paddingTop="@dimen/dp_16"
                    android:paddingEnd="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_16">

                    <TextView
                        android:id="@+id/tv_feedback_type_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-medium"
                        android:text="选择反馈类型"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_16"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff3838"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toEndOf="@id/tv_feedback_type_title"
                        app:layout_constraintTop_toTopOf="@id/tv_feedback_type_title" />

                    <RadioGroup
                        android:id="@+id/rg_feedback_type"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:orientation="horizontal"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_feedback_type_title">

                        <RadioButton
                            android:id="@+id/rg_1"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/dp_32"
                            android:layout_weight="1"
                            android:background="@drawable/selector_feedback_type_bg"
                            android:button="@null"
                            android:checked="true"
                            android:gravity="center"
                            android:paddingStart="@dimen/dp_14"
                            android:paddingEnd="@dimen/dp_14"
                            android:text="产品建议"
                            android:textColor="@drawable/selector_feedback_text_color"
                            android:textSize="@dimen/sp_14" />

                        <RadioButton
                            android:id="@+id/rg_2"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/dp_32"
                            android:layout_marginStart="@dimen/dp_12"
                            android:layout_weight="1"
                            android:background="@drawable/selector_feedback_type_bg"
                            android:button="@null"
                            android:gravity="center"
                            android:paddingStart="@dimen/dp_14"
                            android:paddingEnd="@dimen/dp_14"
                            android:text="功能异常"
                            android:textColor="@drawable/selector_feedback_text_color"
                            android:textSize="@dimen/sp_14" />

                        <RadioButton
                            android:id="@+id/rg_3"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/dp_32"
                            android:layout_marginStart="@dimen/dp_12"
                            android:layout_weight="1"
                            android:background="@drawable/selector_feedback_type_bg"
                            android:button="@null"
                            android:gravity="center"
                            android:paddingStart="@dimen/dp_14"
                            android:paddingEnd="@dimen/dp_14"
                            android:text="其他问题"
                            android:textColor="@drawable/selector_feedback_text_color"
                            android:textSize="@dimen/sp_14" />
                    </RadioGroup>
                </androidx.constraintlayout.widget.ConstraintLayout>
            </com.lihang.ShadowLayout>

            <com.lihang.ShadowLayout
                android:id="@+id/layout_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_9"
                android:layout_marginEnd="@dimen/dp_9"
                app:hl_cornerRadius="@dimen/dp_12"
                app:hl_shadowColor="@color/color_shadow"
                app:hl_shadowLimit="@dimen/dp_7"
                app:layout_constraintTop_toBottomOf="@id/layout_type">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingStart="@dimen/dp_12"
                    android:paddingTop="@dimen/dp_16"
                    android:paddingEnd="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_16">

                    <TextView
                        android:id="@+id/tv_feedback_content_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-medium"
                        android:text="问题描述"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_16"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/color_ff3838"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toEndOf="@id/tv_feedback_content_title"
                        app:layout_constraintTop_toTopOf="@id/tv_feedback_content_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_feedback_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@null"
                        android:gravity="start"
                        android:hint="请写下您遇到的问题或宝贵建议~"
                        android:inputType="textMultiLine"
                        android:maxLength="200"
                        android:minHeight="@dimen/dp_150"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_feedback_content_title" />

                    <TextView
                        android:id="@+id/tv_text_count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_8"
                        android:layout_marginBottom="@dimen/dp_8"
                        android:text="0/500"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_10"
                        app:layout_constraintBottom_toBottomOf="@id/et_feedback_content"
                        app:layout_constraintEnd_toEndOf="@id/et_feedback_content" />

                    <View
                        android:id="@+id/divider"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_2"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@drawable/shape_dde2eb_dash_divider_h"
                        app:layout_constraintTop_toBottomOf="@id/et_feedback_content" />

                    <TextView
                        android:id="@+id/tv_image_tip"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_14"
                        android:text="（选填，最多可上传3张）"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_10"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/divider" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_image"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:overScrollMode="never"
                        app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                        app:layout_constraintTop_toBottomOf="@id/tv_image_tip"
                        app:spanCount="3"
                        tools:itemCount="1"
                        tools:listitem="@layout/listitem_add_img" />
                </androidx.constraintlayout.widget.ConstraintLayout>
            </com.lihang.ShadowLayout>

            <com.lihang.ShadowLayout
                android:id="@+id/layout_contacts"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_9"
                android:layout_marginEnd="@dimen/dp_9"
                app:hl_cornerRadius="@dimen/dp_12"
                app:hl_shadowColor="@color/color_shadow"
                app:hl_shadowLimit="@dimen/dp_7"
                app:layout_constraintTop_toBottomOf="@id/layout_content">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingStart="@dimen/dp_12"
                    android:paddingTop="@dimen/dp_16"
                    android:paddingEnd="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_16">

                    <TextView
                        android:id="@+id/tv_contact_info_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-medium"
                        android:text="联系方式"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_16"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/rv_image" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="（选填，可留下您的手机号、微信、邮箱）"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_10"
                        app:layout_constraintBottom_toBottomOf="@id/tv_contact_info_title"
                        app:layout_constraintStart_toEndOf="@id/tv_contact_info_title"
                        app:layout_constraintTop_toTopOf="@id/tv_contact_info_title" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_contact_info"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_48"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@drawable/shape_dfdfdf_line_cor8"
                        android:hint="请输入联系方式"
                        android:lines="1"
                        android:paddingStart="@dimen/dp_12"
                        android:paddingEnd="@dimen/dp_12"
                        android:singleLine="true"
                        android:textColor="@color/color_1a1a1a"
                        android:textColorHint="@color/color_bcbcbc"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintTop_toBottomOf="@id/tv_contact_info_title" />
                </androidx.constraintlayout.widget.ConstraintLayout>
            </com.lihang.ShadowLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_eeeeee"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_46"
            android:fontFamily="sans-serif-medium"
            android:text="提交"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" " />

</androidx.constraintlayout.widget.ConstraintLayout>